<?php
session_start();

// Check if the OTP is stored in the session
if (!isset($_SESSION['otp'])) {
    // Redirect the user back to the form if the OTP is not set
    header('Location: index.php'); // Replace with the actual path to your form page
    exit();
}

// Check if the form is submitted
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Validate the entered OTP
    $enteredOTP = isset($_POST['otp']) ? $_POST['otp'] : '';

    // Compare with the stored OTP
    if ($enteredOTP === $_SESSION['otp']) {
        // OTP is correct
        echo 'OTP verification successful. You can proceed with further actions.';
        // Clear the OTP from the session
        unset($_SESSION['otp']);
    } else {
        // OTP is incorrect
        echo 'OTP verification failed. Please try again.';
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>OTP Verification</title>
</head>
<body>
    <h2>Enter the OTP sent to your phone</h2>
    <form method="post" action="">
        <label for="otp">OTP:</label>
        <input type="text" name="otp" required>
        <br>
        <input type="submit" value="Verify OTP">
    </form>
</body>
</html>